# $Revision: 1.20 $, $Date: 2002/05/26 17:19:15 $
Summary:	Portable Spell Checker Interface Library.
Summary(pl):	Biblioteka z interfejsem do narzdzia sprawdzajcego pisowni
Summary(pt_BR):	Biblioteca para verificao ortogrfica
Name:		pspell
Version:	12.2
Release:	10
Epoch:		2
License:	LGPL
Vendor:		Kevin Atkinson <kevina@users.sourceforge.net>
Group:		Applications/Text
Source0:	http://download.sourceforge.net/pspell/%{name}-.%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
URL:		http://pspell.sourceforge.net/
BuildRequires:	libltdl-devel >= 1.4
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpspell4

%description
The goal of the Pspell library is to provide a generic interface to
Spell checker libraries installed on the system.

%description -l pl
Gwnym celem biblioteki Pspell jest dostarczenie standardowego
interfejsu do narzdzi sprawdzajcych pisowni.

%description -l pt_BR
Essa biblioteca fornece uma interface genrica e portvel para o
sistema verificar ortografia.

%package devel
Summary:	Header files for pspell
Summary(pl):	Pliki nagwkowe dla pspella
Summary(pt_BR):	Bibliotecas, arquivos de incluso e outros arquivos necessrios a compilao de aplicaes que usem a pcspell
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libstdc++-devel
Obsoletes:	libpspell4-devel

%description devel
Header files for Pspell.

%description devel -l pl
Pliki nagwkowe dla Pspella.

%description devel -l pt_BR
Bibliotecas, arquivos de incluso e outros arquivos necessrios a
compilao de aplicaes que usem a pcspell.

%package static
Summary:	Static libraries for pspell
Summary(pl):	Biblioteki statyczne dla pspella
Summary(pt_BR):	Bibliotecas estticas necessrias para compilao de aplicaes estticas que usem a pcspell
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for Pspell.

%description static -l pl
Biblioteki statyczne dla Pspella.

%description static -l pt_BR
Bibliotecas estticas necessrias para compilaao de aplicaes
estticas que usem a pcspell.

%prep
%setup -q -n %{name}-.%{version}
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
cd modules
	rm -f missing
	aclocal
	autoconf
	automake -a -c
cd ..
cd libltdl
	rm -f missing
	aclocal
	autoconf
	automake -a -c
cd ..
%configure \
	--enable-doc-dir=%{_docdir}/%{name}-devel-%{version} \
	--enable-ltdl
%{__make} extra_ldflags="-lstdc++"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/pspell

%files devel
%defattr(644,root,root,755)
%doc manual/man-html
%doc manual/manual.dvi
%attr(755,root,root) %{_bindir}/pspell-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pspell.spec,v $
Revision 1.20  2002/05/26 17:19:15  kloczek
- added libstdc++-devel to Requires list in devel.

Revision 1.19  2002/05/26 17:11:32  kloczek
- release 10,
- libpspell4{,-devel} added to Obsoletes for allow upgrade from MDK,
- linking fix: libpspspell with libstdc++ (it uses this so now detection libpspspell
  can be performed without additional hacks for add -lstdc++ on checking; this is
  neccessary for example during detection libpspspell in balsa),
- merge translations from Conectiva,
- use new %doc.

Revision 1.18  2002/05/21 23:14:34  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/20 10:41:12  misiek
- use c++ for building; (for now whole package was unusable)

Revision 1.16  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:35:50  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.11  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/06 16:31:59  blues
- release 4
- ac2.5 ready (BR added)

Revision 1.9  2001/09/28 09:07:33  marcus
- s/%%configure/%%configure2_13/g

Revision 1.8  2001/06/28 22:07:38  kloczek
- bump release to 3.

Revision 1.7  2001/06/28 19:50:37  jajcus
- Version: 12.2
- docs added

Revision 1.6  2001/04/28 14:05:20  kloczek
- release 3: rebuild fog generate proper main nad devel subpackage.

Revision 1.5  2001/04/28 05:36:06  kloczek
- updated t0 12.1,
- rebuild against libltdl 1.4.

Revision 1.4  2000/11/13 20:27:19  misiek
link with stdc++ to avoid problems

Revision 1.3  2000/11/13 18:14:17  kloczek
- release 3, Epoch 2 (for allow upgrade from RH).

Revision 1.2  2000/11/13 17:41:42  kloczek
- pspell-config moved to devel,
- fixed permission on lib*.{so,la} (755),
- few cosmetic changes.

Revision 1.1  2000/11/13 17:09:38  misiek
new spec

based on Ryan Weaver spec.
